complexType "GenericCommodityDeliveryPeriod"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 3 elements
Defined: | globally in fpml-generic-5-5.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | applicableDay[0..7], (startTime?, endTime?)?
</...>

Content Model Elements (3):

  applicableDay, endTime, startTime

All Direct / Indirect Based Elements (1):

  settlementPeriods

Known Usage Locations

- As direct type of elements (1):
  settlementPeriods

XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="GenericCommodityDeliveryPeriod"> <xsd:sequence> <xsd:element maxOccurs="7" minOccurs="0" name="applicableDay" type="DayOfWeekEnum"/> <xsd:sequence minOccurs="0"> <xsd:element minOccurs="0" name="startTime" type="OffsetPrevailingTime"/> <xsd:element minOccurs="0" name="endTime" type="OffsetPrevailingTime"/> </xsd:sequence> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/3)
applicableDay

  Type: | DayOfWeekEnum, simple content

  Specifies the Applicable Day with respect to a range of Settlement Periods.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "MON" | - | Monday See: http://www.FpML.org
  "TUE" | - | Tuesday See: http://www.FpML.org
  "WED" | - | Wednesday See: http://www.FpML.org
  "THU" | - | Thursday See: http://www.FpML.org
  "FRI" | - | Friday See: http://www.FpML.org
  "SAT" | - | Saturday See: http://www.FpML.org
  "SUN" | - | Sunday See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="7" minOccurs="0" name="applicableDay" type="DayOfWeekEnum"/>

endTime

  Type: | OffsetPrevailingTime, complex content

  Specifies the hour-ending End Time with respect to a range of Settlement Periods. If neither startTime nor endTime contain an offset element and endTime is earlier than startTime, this indicates that the time period "wraps around" midnight. For example, if startTime is 23:00 and endTime is 01:00 then Settlement Periods apply from 00:00 to 01:00 and 23:00 to 00:00 on each included day.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="endTime" type="OffsetPrevailingTime"/>

startTime

  Type: | OffsetPrevailingTime, complex content

  Specifies the hour-ending Start Time with respect to a range of Settlement Periods.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="startTime" type="OffsetPrevailingTime"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.